org.yaml.snakeyaml.constructor

## Class Constructor.ConstructMapping

- java.lang.Object
- - org.yaml.snakeyaml.constructor.Constructor.ConstructMapping

All Implemented Interfaces:
  Construct

Direct Known Subclasses:
  CompactConstructor.ConstructCompactObject

Enclosing class:
  Constructor

    protected class Constructor.ConstructMapping
    extends Object
    implements Construct

Construct mapping instance (Map, JavaBean) when the runtime class is known.

### Constructor Summary

Constructors
`protected` `Constructor.ConstructMapping()`

### Method Summary

Methods
`Object` `construct(Node node)` Construct JavaBean.
`void` `construct2ndStep(Node node, Object object)` Apply the second step when constructing recursive structures.
`protected Object` `constructJavaBean2ndStep(MappingNode node, Object object)`
`protected Property` `getProperty(Class<? extends Object> type, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Constructor.ConstructMapping

    protected Constructor.ConstructMapping()

### Method Detail

#### construct

    public Object construct(Node node)

Construct JavaBean. If type safe collections are used please look at `TypeDescription`.

Specified by:
  `construct` in interface `Construct`
Parameters:
  `node` - node where the keys are property names (they can only be `String`s) and values are objects to be created
Returns:
  constructed JavaBean

#### construct2ndStep

    public void construct2ndStep(Node node,
                        Object object)

Description copied from interface: `Construct`
Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself.

Specified by:
  `construct2ndStep` in interface `Construct`
Parameters:
  `node` - composed Node
  `object` - the instance constructed earlier by `construct(Node node)` for the provided Node

#### constructJavaBean2ndStep

    protected Object constructJavaBean2ndStep(MappingNode node,
                                  Object object)

#### getProperty

    protected Property getProperty(Class<? extends Object> type,
                       String name)